# Uses of Class
com.ngrok.definitions.Endpoint

Packages that use Endpoint
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of Endpoint in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type Endpoint
  Modifier and Type
  Method
  Description
  `List<Endpoint>`
  EndpointList.`getEndpoints()`
  the list of all active endpoints on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type Endpoint
  Modifier
  Constructor
  Description
  ``
  `EndpointList(List<Endpoint> endpoints, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `EndpointList`.

- ## Uses of Endpoint in com.ngrok.services

  Methods in com.ngrok.services that return Endpoint
  Modifier and Type
  Method
  Description
  `Endpoint`
  Endpoints.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type Endpoint
  Modifier and Type
  Method
  Description
  `CompletionStage<Endpoint>`
  Endpoints.GetCallBuilder.`call()`
  Initiates the API call asynchronously.